$(document).ready( function(){
console.log('test');
    const valNum = 3; //postavi broj slova na koji će se raditi query

    $("#search").click(function(e){
        $( "#search-box" ).addClass( "w-100" ); //dodaj style width: 100% (animacija se radi kroz css)
        setTimeout(function()  {
            $( "#s-input" ).removeClass("d-none");
            $( "#s-input" ).focus(); //auto fokus na pretragu
        }, 200); //fix za animaciju
        if( $("#s-input").val().length >= valNum ) { //prikaži listu samo ako je input veći od valNum
            setTimeout(function()  {$( "#search-result-box" ).removeClass("d-none");}, 500); //sačekaj css animaciju pa onda izvrši
        }
         e.stopPropagation();
    });

    $("#search-box").click(function(e){
        e.stopPropagation();
    });

    $(document).click(function(){
        $( "#search-result-box" ).addClass("d-none");
        $( "#s-input" ).addClass("d-none"); //fix za animaciju
        setTimeout(function() {$( "#search-box" ).removeClass( "w-100" ); }, 100); //sačekaj css animaciju
    });

    $('#s-input').keyup (function() {
        if( $("#s-input").val().length >= valNum ) {
            $( "#search-result-box" ).removeClass("d-none");
                let resultsBlock = $(".search-result");
                $.ajax({
                    type: "POST",
                    url: '/ajax-autocomplete-search',
                    dataType: 'json',
                    data:  {'q':$("#s-input").val()},
                    headers: {
                        'X-CSRF-TOKEN': $('[name="_token"]').val()
                    },
                    success: function(data){
                        resultsBlock.html("");
                        $.each(data.pages, function(key, value) {
                            $(resultsBlock).append('<li><a href="/'+value.slug+'">'+(value.title_ba).replace(/(<([^>]+)>)/ig,"")+'</a></li>');
                        });
                    },
                    errors: function(data){
                        console.log(data);
                    },
                });


        } else if($("#s-input").val().length < valNum) {
            $( "#search-result-box" ).addClass("d-none");
        }
    });

});
